// Variables
@import '../app/variables';

// TYPO ===============================================================
@font-face {
	font-family: 'Westmeath';
	src: url('/../fonts/Westmeath.otf') format("opentype");
	font-style: normal;
	font-weight: 400;
}

h1,h2,h3,h4,h5,h6{
	font-family: 'Westmeath', serif;
}

h1{
	font-size: 3.5rem;
}

h2{
	font-size: 3rem;
}

header {
	color: $black;
	&.default {
		&>div {
			background-color: rgba($info, 0.85);
		}
	}
}

body{
	background-color: $black;
	color: $white;
}

.navbar{
	background-color: $black;
	color: $white;
	.navbar-nav .mon-dropdown .dropdown-div{
		background-color: $black;
	}
	.burger {
		&, &::before, &::after {
			background: $white;
		}
		&.active {
			background: none;
		}
	}
}

.wrapper{
	background: url('/images/pattern_dark.svg');
	background-color: $info;
	background-size: 40%, auto, contain;
}

.call-to-action{
	&>div{
		background-color: $black;
		color: $white;
	}
}

.typo{
	color: $warning;
}

footer{
	&>.flex-center{
		.ligne{
			i{
				color: $white;
			}
		}
		a {
			color: $white;
		}
	}
}

header{
	.container{
		position: relative;
		.speak{
			height: 150px;
			position: absolute;
			z-index: -1;
			left: 0; top: 0;
			&.reverse{
				transform: scaleX(-1);
				right: 0; left: auto;
			}
		}
	}
}

.print{
	.services{
		display: grid;
		grid-template-columns: repeat(4,1fr);
		gap: 1rem;
		.service{
			overflow: hidden;
			height: 40vh;
			position: relative;
			cursor: pointer;
			img{
				transition: all .5s ease;
				transform: scale(1.2);
			}
			.content{
				position: absolute;
				top: 0; bottom: 0; right: 0; left: 0;
				background-image: linear-gradient(rgba($info, 0.2), rgba($info, 0.3), rgba($black, .9));
				h3{
					position: absolute;
					bottom: 0; right: 0; left: 0;
					color: $white;
					text-shadow: 0 0 1.5rem $black;
				}
			}
			&:hover{
				.content{
					background-image: linear-gradient(rgba($info, 0), rgba($info, 0.3), rgba($black, .5));
				}
				img {
					transform: scale(1);
				}
			}
		}
		@media ($lg) {
			grid-template-columns: repeat(2, 1fr);
			.service{
				height: 30vh;
			}
		}
	}
	.collapses{
		.card{
			border: 0;
			.card-title{
				padding: 0;
			}
			ul{
				li{
					font-weight: bold;
				}
			}
		}
	}
	$gap-figure : 10px;
	.reals{
		column-count: 4;
		column-gap: $gap-figure;
		@media ($lg) {
			column-count: 3;
		}
		@media ($md) {
			column-count: 2;
		}
		figure{
			display: grid;
			grid-template-rows: 1fr auto;
			break-inside: avoid;
			margin: 0 0 $gap-figure;
			img{
				grid-row: 1 / -1;
				grid-column: 1;
				cursor: zoom-in;
			}
		}
	}
}
